function Kingairvehicle::onDoor(%this, %obj)
{
	if(%obj.door $= "closed")
	{
		%obj.door = "open";
		%obj.unhideNode("DoorO");
		%obj.hideNode("DoorC");
	}
	else
	{
		%obj.hideNode("DoorO");
		%obj.unhideNode("DoorC");
		%obj.door = "closed";
	}
	return;
}

function Kingairvehicle::onIntLight(%this, %obj)
{
	if(%obj.IntLight $= "off")
	{
		%obj.IntLight = "on";
		%obj.mountedLightBot[12].setMountedLight(DimAmbientLight);
		%obj.hideNode("Intlight_Off");
		%obj.unhideNode("Intlight_On");
	}
	else
	{
		%obj.IntLight = "off";
		%obj.mountedLightBot[12].setMountedLight(none);
		%obj.unhideNode("Intlight_Off");
		%obj.hideNode("Intlight_On");
	}
	return;
}

function Kingairvehicle::onLandingLight(%this, %obj)
{
	if(%obj.LandingLight $= "off")
	{
		%obj.LandingLight = "on";
		%obj.mountedLightBot[13].setMountedLight(BrightAmbientLight);
		%obj.hideNode("Landinglight_Off");
		%obj.unhideNode("Landinglight_On");
	}
	else
	{
		%obj.LandingLight = "off";
		%obj.mountedLightBot[13].setMountedLight(none);
		%obj.unhideNode("Landinglight_Off");
		%obj.hideNode("Landinglight_On");
	}
	return;
}

function Kingairvehicle::onGearLever(%this, %obj)
{
	if(%obj.Gear $= "down")
	{
		if(%obj.altitude > 40)
		{
		%obj.Gear = "up";
		
		%obj.setWheelTire(0, tankTire);
		%obj.setWheelTire(1, tankTire);
		%obj.setWheelTire(2, tankTire);
		
		%obj.hideNode("gearD");
		%obj.unhideNode("gearC");
		}
	}
	else
	{
		%obj.Gear = "down";
		
		%obj.setWheelTire(0, KingairTireNose);
		%obj.setWheelTire(1, KingairTireWing);
		%obj.setWheelTire(2, KingairTireWing);
		
		%obj.unhideNode("gearD");
		%obj.hideNode("gearC");
	}
	return;
}

function Kingairvehicle::onShade(%this, %obj)
{
	if(%obj.Shade $= "closed")
	{
		%obj.Shade = "open";
		%obj.hideNode("shutterC");
		%obj.unhideNode("shutterO");
	}
	else
	{
		%obj.Shade = "closed";
		%obj.hideNode("shutterO");
		%obj.unhideNode("shutterC");
	}
	return;
}