function strIsNum(%str)
{
	%table = "-.1234567890";
	%len = strlen(%str);
	if(%len == 0)
		return false;
	for(%i = 0; %i < %len; %i ++)
	{
		if(strPos(%table, getSubStr(%str, %i, 1)) == -1)
			return false;
	}
	return true;
}

function Kingairvehicle::VehicleEditHelper(%this, %veh, %c, %arg0, %arg1)
{
	if(getTrustLevel(%c, %veh) < 2)
		return %c.chatMessage("\c3You can't change a vehicle without the owner's trust.");
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(%veh.speed > 2)	
		return %c.chatMessage("\c3The vehicle can't be customized while in motion.");
	
	%alpha = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	
//	if(%arg0 $= "color" || %arg0 $= "c")
//	{
//		%c.chatMessage("<color:991111>-----\c6Kingair Factory Paint<color:991111>-----");
//		%c.chatMessage("    <color:888888>Usage: \c4/veh _ \c6with one of the numbers below. e.g. '\c4/veh 1\c6'");
//		
//		for(%i = 1; %i <= %this.numFactoryColors; %i++)
//		{
//			%c.chatMessage("        \c6" @ %i @ ":   <color:" @ getWord(%this.factoryColor[%i], 0) @ ">[" @ getWords(%this.factoryColor[%i], 1) @ "]");
//		}
//		return;
//	}

	if(%arg0 $= "winglets")
	{
		if(strIsNum(%arg1) && %arg1 < 2)
		{
			switch(%arg1)
			{
				case 0:
					%veh.winglet = "no";
					%veh.hideNode("winglet");
				case 1:
					%veh.winglet = "yes";
					%veh.unhideNode("winglet");
			}
		}
		else
		{
			%c.chatMessage("<color:991111>-----\c6Kingair Winglet Options<color:991111>-----");
			%c.chatMessage("    <color:888888>Usage: \c3/veh winglet _ \c6with one of the numbers below. e.g. '\c3/veh winglet 1\c6'");
			%c.chatMessage("        \c30\c8 - \c6no winglets");
			%c.chatMessage("        \c31\c8 - \c6winglets");
		}

		return;
	}
	
	if(%arg0 $= "engines")
	{
		if(strIsNum(%arg1) && %arg1 < 2)
		{
			switch(%arg1)
			{
				case 0:
					%veh.engines = "prop";
					%veh.unhideNode("enginesProp");
					%veh.hideNode("enginesJet");
					%veh.unhideNode("propL");
					%veh.unhideNode("propR");
				case 1:
					%veh.engines = "jet";
					%veh.unhideNode("enginesJet");
					%veh.hideNode("enginesProp");
					%veh.hideNode("propL");
					%veh.hideNode("propR");
			}
		}
		else
		{
			%c.chatMessage("<color:991111>-----\c6Kingair Engine Options<color:991111>-----");
			%c.chatMessage("    <color:888888>Usage: \c3/veh engines _ \c6with one of the numbers below. e.g. '\c3/veh engines 1\c6'");
			%c.chatMessage("        \c30\c8 - \c6propeller engines");
			%c.chatMessage("        \c31\c8 - \c6jet engines");
		}

		return;
	}
	
	%c.chatMessage("<color:991111>-----\c6Kingair \c3V0.0.1 \c8- \c6Vehicle Edit Helper<color:991111>-----");
	%c.chatMessage("    <color:888888>Usage: \c0/veh __ \c6with one of the words below.");
	%c.chatMessage("        \c0Winglets\c7 \c8- \c6View options for the winglets.");
	%c.chatMessage("        \c0Engines\c7 \c8- \c6View options for the engine type.");
}